This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 809721 - [eap6] deployment cannot be created when server is listening on IPv6
[eap6] deployment cannot be created when server is listening on IPv6
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 919199 as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-04 03:45 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
deployment creation failure (14.40 KB, application/octet-stream)
2012-04-04 03:45 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-04-04 03:45:59 EDT
Created attachment 575055 [details]
deployment creation failure

Description of problem:


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 8af11c9
EAP6 ER4.1

How reproducible:always


Steps to Reproduce:
1. start EAP standalone by ./standalone.sh -b :: -b management :: -Djava.net.PreferIPv4Stack=false
2. inventory it
3. create a deployment, upload some WAR file
  
Actual results: Creating Deployment child fails with error: 

Failed to open output stream to URL [http://:::9990/management/add-content]: java.net.MalformedURLException: For input string: "::9990"


Expected results: Child resource is successfully created


Additional info: for IPv6 plugin should use http://[::]:9990
Comment 1 Charles Crouch 2012-04-12 20:23:39 EDT
Lowering priority, this is not a blocker for rhq4.4
Comment 2 Heiko W. Rupp 2012-05-15 06:13:19 EDT
Even if the above error were fixed, we would very probably run into 
https://bugzilla.redhat.com/show_bug.cgi?id=809125#c3

Note You need to log in before you can comment on or make changes to this bug.